<?xml version="1.0" encoding="utf-8"?>
<form
	addrulepath="/administrator/components/com_costbenefitprojection/models/rules"
	addfieldpath="/administrator/components/com_costbenefitprojection/models/fields"
>
	<fieldset name="details">
		<!-- [11019] Default Fields. -->
		<!-- [11020] Id Field. Type: Text (joomla) -->
		<field
			name="id"
			type="text" class="readonly" label="JGLOBAL_FIELD_ID_LABEL"
			description ="JGLOBAL_FIELD_ID_DESC" size="10" default="0"
			readonly="true"
		/>
		<!-- [11027] Date Created Field. Type: Calendar (joomla) -->
		<field
			name="created"
			type="calendar"
			label="COM_COSTBENEFITPROJECTION_COMPANY_CREATED_DATE_LABEL"
			description="COM_COSTBENEFITPROJECTION_COMPANY_CREATED_DATE_DESC"
			size="22"
			format="%Y-%m-%d %H:%M:%S"
			filter="user_utc"
		/>
		<!-- [11038] User Created Field. Type: User (joomla) -->
		<field
			name="created_by"
			type="user"
			label="COM_COSTBENEFITPROJECTION_COMPANY_CREATED_BY_LABEL"
			description="COM_COSTBENEFITPROJECTION_COMPANY_CREATED_BY_DESC"
		/>
		<!-- [11046] Published Field. Type: List (joomla) -->
		<field name="published" type="list" label="JSTATUS"
			description="JFIELD_PUBLISHED_DESC" class="chzn-color-state"
			filter="intval" size="1" default="1" >
			<option value="1">
				JPUBLISHED</option>
			<option value="0">
				JUNPUBLISHED</option>
			<option value="2">
				JARCHIVED</option>
			<option value="-2">
				JTRASHED</option>
		</field>
		<!-- [11061] Date Modified Field. Type: Calendar (joomla) -->
		<field name="modified" type="calendar" class="readonly"
			label="JGLOBAL_FIELD_MODIFIED_LABEL" description="COM_CONTENT_FIELD_MODIFIED_DESC"
			size="22" readonly="true" format="%Y-%m-%d %H:%M:%S" filter="user_utc" />
		<!-- [11065] User Modified Field. Type: User (joomla) -->
		<field name="modified_by" type="user"
			label="JGLOBAL_FIELD_MODIFIED_BY_LABEL"
			class="readonly"
			readonly="true"
			filter="unset"
		/>
		<!-- [11075] Access Field. Type: Accesslevel (joomla) -->
		<field name="access"
			type="accesslevel"
			label="JFIELD_ACCESS_LABEL"
			description="JFIELD_ACCESS_DESC"
			default="1"
			required="false"
		/>
		<!-- [11085] Ordering Field. Type: Numbers (joomla) -->
		<field
			name="ordering"
			type="number"
			class="inputbox validate-ordering"
			label="COM_COSTBENEFITPROJECTION_COMPANY_ORDERING_LABEL"
			description=""
			default="0"
			size="6"
			required="false"
		/>
		<!-- [11097] Version Field. Type: Text (joomla) -->
		<field
			name="version"
			type="text"
			class="readonly"
			label="COM_COSTBENEFITPROJECTION_COMPANY_VERSION_LABEL"
			description="COM_COSTBENEFITPROJECTION_COMPANY_VERSION_DESC"
			size="6"
			readonly="true"
			filter="unset"
		/>
		<!-- [11130] Dynamic Fields. -->
		<!-- [11366] Name Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="name"
			label="COM_COSTBENEFITPROJECTION_COMPANY_NAME_LABEL"
			size="40"
			maxlength="150"
			description="COM_COSTBENEFITPROJECTION_COMPANY_NAME_DESCRIPTION"
			class="text_area"
			readonly="false"
			disabled="false"
			required="true"
			filter="STRING"
			message="Error! Please add company name here."
			hint="COM_COSTBENEFITPROJECTION_COMPANY_NAME_HINT"
		/>
		<!-- [11366] Email Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="email"
			label="COM_COSTBENEFITPROJECTION_COMPANY_EMAIL_LABEL"
			size="10"
			maxlength="50"
			description="COM_COSTBENEFITPROJECTION_COMPANY_EMAIL_DESCRIPTION"
			class="text_area"
			required="false"
			filter="STRING"
			validate="email"
			message="Error! Please add email address here."
			hint="COM_COSTBENEFITPROJECTION_COMPANY_EMAIL_HINT"
		/>
		<!-- [11487] User Field. Type: Memberuser. (custom) -->
		<field
			type="memberuser"
			name="user"
			label="COM_COSTBENEFITPROJECTION_COMPANY_USER_LABEL"
			required="false"
			hint="COM_COSTBENEFITPROJECTION_COMPANY_USER_HINT"
		/>
		<!-- [11280] Department Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="department"
			label="COM_COSTBENEFITPROJECTION_COMPANY_DEPARTMENT_LABEL"
			class="btn-group"
			default="1"
			required="true">
			<!-- [11352] Option Set. -->
			<option value="1">
				COM_COSTBENEFITPROJECTION_COMPANY_BASIC</option>
			<option value="2">
				COM_COSTBENEFITPROJECTION_COMPANY_ADVANCED</option>
		</field>
		<!-- [11487] Country Field. Type: Countries. (custom) -->
		<field
			type="countries"
			name="country"
			label="COM_COSTBENEFITPROJECTION_COMPANY_COUNTRY_LABEL"
			description="COM_COSTBENEFITPROJECTION_COMPANY_COUNTRY_DESCRIPTION"
			class="list_class"
			multiple="false"
			default="0"
			required="true"
		/>
		<!-- [11487] Serviceprovider Field. Type: Serviceprovider. (custom) -->
		<field
			type="serviceprovider"
			name="serviceprovider"
			label="COM_COSTBENEFITPROJECTION_COMPANY_SERVICEPROVIDER_LABEL"
			class="list_class"
			multiple="false"
			default="0"
			required="true"
			button="true"
		/>
		<!-- [11280] Per Field. Type: Radio. (joomla) -->
		<field
			type="radio"
			name="per"
			label="COM_COSTBENEFITPROJECTION_COMPANY_PER_LABEL"
			description="COM_COSTBENEFITPROJECTION_COMPANY_PER_DESCRIPTION"
			class="btn-group btn-group-yesno"
			default="1"
			required="true">
			<!-- [11352] Option Set. -->
			<option value="1">
				COM_COSTBENEFITPROJECTION_COMPANY_OPEN</option>
			<option value="0">
				COM_COSTBENEFITPROJECTION_COMPANY_LOCKED</option>
		</field>
		<!-- [11366] Medical_turnovers_males Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="medical_turnovers_males"
			label="COM_COSTBENEFITPROJECTION_COMPANY_MEDICAL_TURNOVERS_MALES_LABEL"
			size="20"
			maxlength="50"
			description="COM_COSTBENEFITPROJECTION_COMPANY_MEDICAL_TURNOVERS_MALES_DESCRIPTION"
			class="text_area"
			readonly="false"
			disabled="false"
			required="true"
			filter="INT"
			message="Error! Please add total number of medical turnovers for males here."
			hint="COM_COSTBENEFITPROJECTION_COMPANY_MEDICAL_TURNOVERS_MALES_HINT"
		/>
		<!-- [11366] Sick_leave_males Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="sick_leave_males"
			label="COM_COSTBENEFITPROJECTION_COMPANY_SICK_LEAVE_MALES_LABEL"
			size="20"
			maxlength="50"
			description="COM_COSTBENEFITPROJECTION_COMPANY_SICK_LEAVE_MALES_DESCRIPTION"
			class="text_area"
			readonly="false"
			disabled="false"
			required="true"
			filter="INT"
			message="Error! Please add total number of sick leave days for males here."
			hint="COM_COSTBENEFITPROJECTION_COMPANY_SICK_LEAVE_MALES_HINT"
		/>
		<!-- [11366] Males Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="males"
			label="COM_COSTBENEFITPROJECTION_COMPANY_MALES_LABEL"
			size="20"
			maxlength="50"
			description="COM_COSTBENEFITPROJECTION_COMPANY_MALES_DESCRIPTION"
			class="text_area"
			readonly="false"
			disabled="false"
			required="true"
			filter="INT"
			message="Error! Please add total male employees here."
			hint="COM_COSTBENEFITPROJECTION_COMPANY_MALES_HINT"
		/>
		<!-- [11487] Causesrisks Field. Type: Causesriskscheck. (custom) -->
		<field
			type="causesriskscheck"
			name="causesrisks"
			label="COM_COSTBENEFITPROJECTION_COMPANY_CAUSESRISKS_LABEL"
			class="list_class"
			required="true"
		/>
		<!-- [11380] Age_groups_note Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="age_groups_note" label="COM_COSTBENEFITPROJECTION_COMPANY_AGE_GROUPS_NOTE_LABEL" description="COM_COSTBENEFITPROJECTION_COMPANY_AGE_GROUPS_NOTE_DESCRIPTION" class="alert alert-info age_groups_note" />
		<!-- [11397] Percentfemale Field. Type: Repeatable. (joomla) -->
		<field
			type="repeatable"
			name="percentfemale"
			label="Set Females Age Groups Percent"
			description="COM_COSTBENEFITPROJECTION_COMPANY_PERCENTFEMALE_DESCRIPTION"
			id="percentfemale"
			class="percentfemales"
			select="COM_COSTBENEFITPROJECTION_COMPANY_PERCENTFEMALE_SELECT"
			icon="list"
			maximum="10">
			<fields name="percentfemale_fields" label="">
				<fieldset hidden="true" name="percentfemale_modal" repeat="true">
					<!-- [11280] Age Field. Type: List. (joomla) -->
					<field
						type="list"
						name="age"
						label="COM_COSTBENEFITPROJECTION_COMPANY_AGE_LABEL"
						class="list_class"
						multiple="false"
						filter="CMD">
						<!-- [11352] Option Set. -->
						<option value="15-19">
							COM_COSTBENEFITPROJECTION_COMPANY_FIFTEENNINETEEN</option>
						<option value="20-24">
							COM_COSTBENEFITPROJECTION_COMPANY_TWENTYTWENTY_FOUR</option>
						<option value="25-29">
							COM_COSTBENEFITPROJECTION_COMPANY_TWENTY_FIVETWENTY_NINE</option>
						<option value="30-34">
							COM_COSTBENEFITPROJECTION_COMPANY_THIRTYTHIRTY_FOUR</option>
						<option value="35-39">
							COM_COSTBENEFITPROJECTION_COMPANY_THIRTY_FIVETHIRTY_NINE</option>
						<option value="40-44">
							COM_COSTBENEFITPROJECTION_COMPANY_FORTYFORTY_FOUR</option>
						<option value="45-49">
							COM_COSTBENEFITPROJECTION_COMPANY_FORTY_FIVEFORTY_NINE</option>
						<option value="50-54">
							COM_COSTBENEFITPROJECTION_COMPANY_FIFTYFIFTY_FOUR</option>
						<option value="55-59">
							COM_COSTBENEFITPROJECTION_COMPANY_FIFTY_FIVEFIFTY_NINE</option>
						<option value="60-64">
							COM_COSTBENEFITPROJECTION_COMPANY_SIXTYSIXTY_FOUR</option>
					</field>
					<!-- [11366] Percent Field. Type: Text. (joomla) -->
					<field
						type="text"
						name="percent"
						label="COM_COSTBENEFITPROJECTION_COMPANY_PERCENT_LABEL"
						size="10"
						maxlength="50"
						class="text_area"
						readonly="false"
						disabled="false"
						filter="FLOAT"
						message="Error! Please add percent here."
						hint="COM_COSTBENEFITPROJECTION_COMPANY_PERCENT_HINT"
					/>
				</fieldset>
			</fields>
		</field>
		<!-- [11366] Females Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="females"
			label="COM_COSTBENEFITPROJECTION_COMPANY_FEMALES_LABEL"
			size="20"
			maxlength="50"
			description="COM_COSTBENEFITPROJECTION_COMPANY_FEMALES_DESCRIPTION"
			class="text_area"
			readonly="false"
			disabled="false"
			required="true"
			filter="INT"
			message="Error! Please add total female employees here."
			hint="COM_COSTBENEFITPROJECTION_COMPANY_FEMALES_HINT"
		/>
		<!-- [11487] Datayear Field. Type: Datayear. (custom) -->
		<field
			type="datayear"
			name="datayear"
			label="COM_COSTBENEFITPROJECTION_COMPANY_DATAYEAR_LABEL"
			description="COM_COSTBENEFITPROJECTION_COMPANY_DATAYEAR_DESCRIPTION"
			class="list_class"
			multiple="false"
			default="0"
		/>
		<!-- [11366] Medical_turnovers_females Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="medical_turnovers_females"
			label="COM_COSTBENEFITPROJECTION_COMPANY_MEDICAL_TURNOVERS_FEMALES_LABEL"
			size="20"
			maxlength="50"
			description="COM_COSTBENEFITPROJECTION_COMPANY_MEDICAL_TURNOVERS_FEMALES_DESCRIPTION"
			class="text_area"
			readonly="false"
			disabled="false"
			required="true"
			filter="INT"
			message="Error! Please add total number of medical turnovers for females here."
			hint="COM_COSTBENEFITPROJECTION_COMPANY_MEDICAL_TURNOVERS_FEMALES_HINT"
		/>
		<!-- [11366] Working_days Field. Type: Integer. (joomla) -->
		<field
			type="integer"
			name="working_days"
			label="COM_COSTBENEFITPROJECTION_COMPANY_WORKING_DAYS_LABEL"
			default="225"
			description="COM_COSTBENEFITPROJECTION_COMPANY_WORKING_DAYS_DESCRIPTION"
			class="text_area"
			required="true"
			first="200"
			last="365"
			step="1"
		/>
		<!-- [11366] Sick_leave_females Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="sick_leave_females"
			label="COM_COSTBENEFITPROJECTION_COMPANY_SICK_LEAVE_FEMALES_LABEL"
			size="20"
			maxlength="50"
			description="COM_COSTBENEFITPROJECTION_COMPANY_SICK_LEAVE_FEMALES_DESCRIPTION"
			class="text_area"
			readonly="false"
			disabled="false"
			required="true"
			filter="INT"
			message="Error! Please add total number of sick leave days for females here."
			hint="COM_COSTBENEFITPROJECTION_COMPANY_SICK_LEAVE_FEMALES_HINT"
		/>
		<!-- [11366] Total_salary Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="total_salary"
			label="COM_COSTBENEFITPROJECTION_COMPANY_TOTAL_SALARY_LABEL"
			size="20"
			maxlength="50"
			description="COM_COSTBENEFITPROJECTION_COMPANY_TOTAL_SALARY_DESCRIPTION"
			class="text_area"
			readonly="false"
			disabled="false"
			required="true"
			filter="integer"
			message="Error! Please add total salary here."
			hint="COM_COSTBENEFITPROJECTION_COMPANY_TOTAL_SALARY_HINT"
		/>
		<!-- [11397] Percentmale Field. Type: Repeatable. (joomla) -->
		<field
			type="repeatable"
			name="percentmale"
			label="Set Males Age Groups Percent"
			description="COM_COSTBENEFITPROJECTION_COMPANY_PERCENTMALE_DESCRIPTION"
			id="percentmale"
			class="percentmales"
			select="COM_COSTBENEFITPROJECTION_COMPANY_PERCENTMALE_SELECT"
			icon="list"
			maximum="10">
			<fields name="percentmale_fields" label="">
				<fieldset hidden="true" name="percentmale_modal" repeat="true">
					<!-- [11280] Age Field. Type: List. (joomla) -->
					<field
						type="list"
						name="age"
						label="COM_COSTBENEFITPROJECTION_COMPANY_AGE_LABEL"
						class="list_class"
						multiple="false"
						filter="CMD">
						<!-- [11352] Option Set. -->
						<option value="15-19">
							COM_COSTBENEFITPROJECTION_COMPANY_FIFTEENNINETEEN</option>
						<option value="20-24">
							COM_COSTBENEFITPROJECTION_COMPANY_TWENTYTWENTY_FOUR</option>
						<option value="25-29">
							COM_COSTBENEFITPROJECTION_COMPANY_TWENTY_FIVETWENTY_NINE</option>
						<option value="30-34">
							COM_COSTBENEFITPROJECTION_COMPANY_THIRTYTHIRTY_FOUR</option>
						<option value="35-39">
							COM_COSTBENEFITPROJECTION_COMPANY_THIRTY_FIVETHIRTY_NINE</option>
						<option value="40-44">
							COM_COSTBENEFITPROJECTION_COMPANY_FORTYFORTY_FOUR</option>
						<option value="45-49">
							COM_COSTBENEFITPROJECTION_COMPANY_FORTY_FIVEFORTY_NINE</option>
						<option value="50-54">
							COM_COSTBENEFITPROJECTION_COMPANY_FIFTYFIFTY_FOUR</option>
						<option value="55-59">
							COM_COSTBENEFITPROJECTION_COMPANY_FIFTY_FIVEFIFTY_NINE</option>
						<option value="60-64">
							COM_COSTBENEFITPROJECTION_COMPANY_SIXTYSIXTY_FOUR</option>
					</field>
					<!-- [11366] Percent Field. Type: Text. (joomla) -->
					<field
						type="text"
						name="percent"
						label="COM_COSTBENEFITPROJECTION_COMPANY_PERCENT_LABEL"
						size="10"
						maxlength="50"
						class="text_area"
						readonly="false"
						disabled="false"
						filter="FLOAT"
						message="Error! Please add percent here."
						hint="COM_COSTBENEFITPROJECTION_COMPANY_PERCENT_HINT"
					/>
				</fieldset>
			</fields>
		</field>
		<!-- [11366] Total_healthcare Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="total_healthcare"
			label="COM_COSTBENEFITPROJECTION_COMPANY_TOTAL_HEALTHCARE_LABEL"
			size="20"
			maxlength="50"
			description="COM_COSTBENEFITPROJECTION_COMPANY_TOTAL_HEALTHCARE_DESCRIPTION"
			class="text_area"
			readonly="false"
			disabled="false"
			required="true"
			filter="integer"
			message="Error! Please add total healthcare costs here."
			hint="COM_COSTBENEFITPROJECTION_COMPANY_TOTAL_HEALTHCARE_HINT"
		/>
		<!-- [11380] Cause_risk_selection_note Field. Type: Note. A None Database Field. (joomla) -->
		<field type="note" name="cause_risk_selection_note" label="COM_COSTBENEFITPROJECTION_COMPANY_CAUSE_RISK_SELECTION_NOTE_LABEL" description="COM_COSTBENEFITPROJECTION_COMPANY_CAUSE_RISK_SELECTION_NOTE_DESCRIPTION" class="alert alert-info cause_risk_selection_note" />
		<!-- [11366] Productivity_losses Field. Type: Text. (joomla) -->
		<field
			type="text"
			name="productivity_losses"
			label="COM_COSTBENEFITPROJECTION_COMPANY_PRODUCTIVITY_LOSSES_LABEL"
			size="20"
			maxlength="50"
			description="COM_COSTBENEFITPROJECTION_COMPANY_PRODUCTIVITY_LOSSES_DESCRIPTION"
			class="text_area"
			readonly="false"
			disabled="false"
			required="true"
			filter="CMD"
			message="Error! Please add medical turnover cost factor here."
			hint="COM_COSTBENEFITPROJECTION_COMPANY_PRODUCTIVITY_LOSSES_HINT"
		/>
		<!-- [11366] Not_required Field. Type: Hidden. (joomla) -->
		<field
			type="hidden"
			name="not_required"
			default="[]"
		/>
	</fieldset>
	
	<!-- [10053] Access Control Fields. -->
	<fieldset name="accesscontrol">
		<!-- [10055] Asset Id Field. Type: Hidden (joomla) -->
		<field
			name="asset_id"
			type="hidden"
			filter="unset"
		/>
		<!-- [10061] Rules Field. Type: Rules (joomla) -->
		<field
			name="rules"
			type="rules"
			label="Permissions in relation to this company"
			translate_label="false"
			filter="rules"
			validate="rules"
			class="inputbox"
			component="com_costbenefitprojection"
			section="company"
		/>
	</fieldset>
</form>